Upstream information

CVE-2019-8559 at MITRE

Description

** RESERVED ** This candidate has been reserved by an organization or individual that will use it when announcing a new security problem. When the candidate has been publicized, the details for this candidate will be provided.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 7.1
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1132256 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-Storage-4-2019-1155
SUSE Linux Enterprise Desktop 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1155
SUSE Linux Enterprise Desktop 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1155
SUSE Linux Enterprise Module for Basesystem 15
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-3.24.1
  • libwebkit2gtk-4_0-37 >= 2.24.1-3.24.1
  • libwebkit2gtk3-lang >= 2.24.1-3.24.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-3.24.1
  • webkit2gtk3 >= 2.24.1-3.24.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-1137
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-3.24.1
  • libwebkit2gtk-4_0-37 >= 2.24.1-3.24.1
  • libwebkit2gtk3-lang >= 2.24.1-3.24.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-3.24.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libjavascriptcoregtk-4_0-18
SUSE Linux Enterprise Module for Desktop Applications 15
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-3.24.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-3.24.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-3.24.1
  • webkit2gtk3 >= 2.24.1-3.24.1
  • webkit2gtk3-devel >= 2.24.1-3.24.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-1137
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-3.24.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-3.24.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-3.24.1
  • webkit2gtk3-devel >= 2.24.1-3.24.1
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA typelib-1_0-JavaScriptCore-4_0
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • webkit-jsc-4 >= 2.24.1-3.24.1
  • webkit2gtk3 >= 2.24.1-3.24.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-1137
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-1155
SUSE Linux Enterprise Server 12 SP2-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1155
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1155
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1155
SUSE Linux Enterprise Server 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1155
SUSE Linux Enterprise Server 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1155
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-1155
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-1155
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-1155
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-1155
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1155
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1155
SUSE Linux Enterprise Software Development Kit 12 SP3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-1155
SUSE Linux Enterprise Software Development Kit 12 SP4
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-1155
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-WE-12-SP3-2019-1155
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
Patchnames:
SUSE-SLE-WE-12-SP4-2019-1155
SUSE OpenStack Cloud 7
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-2.41.5
  • libwebkit2gtk-4_0-37 >= 2.24.1-2.41.5
  • libwebkit2gtk3-lang >= 2.24.1-2.41.5
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-2.41.5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-2.41.5
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-2.41.5
  • webkit2gtk3 >= 2.24.1-2.41.5
  • webkit2gtk3-devel >= 2.24.1-2.41.5
Patchnames:
SUSE-OpenStack-Cloud-7-2019-1155
openSUSE Leap 15.0
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-lp150.2.19.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.24.1-lp150.2.19.1
  • libjavascriptcoregtk-4_0-18-32bit-debuginfo >= 2.24.1-lp150.2.19.1
  • libjavascriptcoregtk-4_0-18-debuginfo >= 2.24.1-lp150.2.19.1
  • libwebkit2gtk-4_0-37 >= 2.24.1-lp150.2.19.1
  • libwebkit2gtk-4_0-37-32bit >= 2.24.1-lp150.2.19.1
  • libwebkit2gtk-4_0-37-32bit-debuginfo >= 2.24.1-lp150.2.19.1
  • libwebkit2gtk-4_0-37-debuginfo >= 2.24.1-lp150.2.19.1
  • libwebkit2gtk3-lang >= 2.24.1-lp150.2.19.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-lp150.2.19.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-lp150.2.19.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-lp150.2.19.1
  • webkit-jsc-4 >= 2.24.1-lp150.2.19.1
  • webkit-jsc-4-debuginfo >= 2.24.1-lp150.2.19.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-lp150.2.19.1
  • webkit2gtk-4_0-injected-bundles-debuginfo >= 2.24.1-lp150.2.19.1
  • webkit2gtk3 >= 2.24.1-lp150.2.19.1
  • webkit2gtk3-debugsource >= 2.24.1-lp150.2.19.1
  • webkit2gtk3-devel >= 2.24.1-lp150.2.19.1
  • webkit2gtk3-minibrowser >= 2.24.1-lp150.2.19.1
  • webkit2gtk3-minibrowser-debuginfo >= 2.24.1-lp150.2.19.1
  • webkit2gtk3-plugin-process-gtk2 >= 2.24.1-lp150.2.19.1
  • webkit2gtk3-plugin-process-gtk2-debuginfo >= 2.24.1-lp150.2.19.1
Patchnames:
openSUSE-2019-1374
openSUSE Leap 42.3
  • libjavascriptcoregtk-4_0-18 >= 2.24.1-27.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.24.1-27.1
  • libjavascriptcoregtk-4_0-18-debuginfo >= 2.24.1-27.1
  • libjavascriptcoregtk-4_0-18-debuginfo-32bit >= 2.24.1-27.1
  • libwebkit2gtk-4_0-37 >= 2.24.1-27.1
  • libwebkit2gtk-4_0-37-32bit >= 2.24.1-27.1
  • libwebkit2gtk-4_0-37-debuginfo >= 2.24.1-27.1
  • libwebkit2gtk-4_0-37-debuginfo-32bit >= 2.24.1-27.1
  • libwebkit2gtk3-lang >= 2.24.1-27.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.1-27.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.1-27.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.1-27.1
  • webkit-jsc-4 >= 2.24.1-27.1
  • webkit-jsc-4-debuginfo >= 2.24.1-27.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.1-27.1
  • webkit2gtk-4_0-injected-bundles-debuginfo >= 2.24.1-27.1
  • webkit2gtk3 >= 2.24.1-27.1
  • webkit2gtk3-debugsource >= 2.24.1-27.1
  • webkit2gtk3-devel >= 2.24.1-27.1
  • webkit2gtk3-minibrowser >= 2.24.1-27.1
  • webkit2gtk3-minibrowser-debuginfo >= 2.24.1-27.1
  • webkit2gtk3-plugin-process-gtk2 >= 2.24.1-27.1
  • webkit2gtk3-plugin-process-gtk2-debuginfo >= 2.24.1-27.1
Patchnames:
openSUSE-2019-1391


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 12 webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 GA webkit2gtk3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA webkit2gtk3 Released
SUSE Linux Enterprise SDK 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise SDK 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP2 LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Workstation Extension 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Workstation Extension 12 SP4 webkit2gtk3 Released